# NixOS Hypervisor config

NixOS Flake to deploy an hypervisor with microvm capability and microvms config

Build an image :

```
# generate a proxmox VMA file
nixos-generate -f proxmox --flake .#nixos-hypervisor

# generate a qcow2 file for plain KVM
nixos-generate -f qcow --flake .#nixos-hypervisor
```

Rebuild the config for an existing VM :

```
# build locally
cd /etc/nixos/
git clone https://git.le43.eu/tbarnouin/nixos-hypervisor.git
cd nixos-hypervisor
sudo nixos-rebuild switch

# build remotely
nixos-rebuild --target-host root@<IP> switch --flake .#nixos-hypervisor
```
